Skip to main content
Resource Center/Hardware/Primary Storage Operations

GetPrimaryStorageCapacity

GetPrimaryStorageCapacity

GET/zstack/v1/primary-storage/capacities

Operation ID

GetPrimaryStorageCapacity

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • zoneUuids
    List

    Optional. The zone UUID list.

  • clusterUuids
    List

    Optional. The cluster UUID list.

  • primaryStorageUuids
    List

    Optional. The primary storage UUID list.

  • all
    boolean

    Optional. When the primary storage UUID list is null, the field is true, which means that all primary storages in the system will be queried.

  • systemTags
    List

    Optional. The system tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • totalCapacity
    longRequired

    The total capacity.

  • availableCapacity
    longRequired

    The available capacity.

  • totalPhysicalCapacity
    longRequired

    The total physical capacity.

  • availablePhysicalCapacity
    longRequired

    The available physical capacity.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.